List account accruals v3

List account accruals with filtering options. You must specify the period using beginDate and endDate, and this period must be less than or equal to 30 days. If you specify a period greater than this, the endpoint returns an error.

The period is restricted to 30 days for performance reasons. A larger period could return a very large number of accruals.

Note: This endpoint requires an account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a 401 Unauthorized message.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required
≥ 1

Account ID

Query Params
string
required

Beginning date filter. Return statements that have opening date after or equal to this date. Default value is account creation date. Format = yyyy-mm-dd.

string
required

End date filter. Return statements that have opening date before or equal to this date. Default value is today's date. Format = yyyy-mm-dd.

string
enum

Interest accrual type. Possible values:

  • OVERDUE: Daily charge applied to an unpaid balance if the minimum amount due (MAD) has not been paid.
  • REFINANCING: Daily charge applied to an unpaid balance if the MAD has been paid, but the total amount due has not.
  • IOF: Brazilian tax
  • FINE: One-time charge that's applied on the day an account becomes overdue.
Allowed:
string
enum

Status interest accrual filter. Possible values:

  • PENDING: Accrual has been calculated but has not yet generated a transaction.
  • PROCESSED: Accrual has been processed and a transaction has been generated.
  • STOP_ACCRUAL Due to a program parameter, the accrual has reached the maximum number of days to be posted as a transaction. For more information, refer to Limiting the number of days accruals can be charged.
  • SETTLED: Accrual transaction has been settled.
Allowed:
int64

Interest accrual ID. Depending on accrualType, endDate, and beginDate, some filters might be ignored. The other filters can be used concurrently.

int64

Transaction ID. When passed, the accrualType, endDate and beginDate filters are canceled. The other filters can be used concurrently.

int64

Statement ID

int32
Defaults to 1

Page number

int32

Items per page. Default is 10.

boolean

If false, request does not return negative generated accruals. If true, both positive and negative generated accruals are returned. A negative accrual occurs when the Pismo platform receives a payment retroactive to the due date and needs to reverse the positive accruals generated. Default setting is false.

Responses

Language
Credentials
Bearer
Account JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json